Debian Bug report logs - #702854
ITP: nocache -- minimize filesystem caching effects

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Rogério Brito <rbrito@ime.usp.br>

Date: Tue, 12 Mar 2013 08:03:02 UTC

Owned by: Dmitry Smirnov <onlyjob@member.fsf.org>

Severity: wishlist

Fixed in version nocache/0+git20121017-1

Done: Dmitry Smirnov <onlyjob@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#702854; Package wnpp. (Tue, 12 Mar 2013 08:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 12 Mar 2013 08:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: submit@bugs.debian.org
Subject: RFP: nocache -- minimize filesystem caching effects
Date: Tue, 12 Mar 2013 04:58:16 -0300
Package: wnpp
Severity: wishlist

* Package name    : nocache
  Upstream Author : Julius Plenz <julius@plenz.com>
* URL             : https://github.com/Feh/nocache
* License         : BSD
  Programming Lang: C
  Description     : minimize filesystem caching effects

The nocache tool tries to minimize the effect an application has on the
Linux file system cache. This is done by intercepting the open and close
system calls and calling posix_fadvise with the POSIX_FADV_DONTNEED
parameter. Because the library remembers which pages (ie., 4K-blocks of the
file) were already in file system cache when the file was opened, these will
not be marked as "don't need", because other applications might need that,
although they are not actively used (think: hot standby).

Use case: backup processes that should not interfere with the present state
of the cache.

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://rb.doesntexist.org/blog : Projects : https://github.com/rbrito/
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br



Changed Bug title to 'ITP: nocache -- minimize filesystem caching effects' from 'RFP: nocache -- minimize filesystem caching effects' Request was from Dmitry Smirnov <onlyjob@member.fsf.org> to control@bugs.debian.org. (Sun, 17 Mar 2013 13:45:04 GMT) Full text and rfc822 format available.

Owner recorded as Dmitry Smirnov <onlyjob@member.fsf.org>. Request was from Dmitry Smirnov <onlyjob@member.fsf.org> to control@bugs.debian.org. (Sun, 17 Mar 2013 13:45:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#702854; Package wnpp. (Sun, 17 Mar 2013 15:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 17 Mar 2013 15:18:03 GMT) Full text and rfc822 format available.

Message #14 received at 702854@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: 702854@bugs.debian.org
Subject: Packaging is available
Date: Mon, 18 Mar 2013 02:15:41 +1100
I committed the packaging to 

	http://anonscm.debian.org/gitweb/?p=collab-maint/nocache.git

All the best,
 Dmitry Smirnov
 GPG key : 4096R/53968D1B

---

It is impossible to imagine Goethe or Beethoven being good at billiards
or golf.
        -- H. L. Mencken



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 29 Mar 2013 19:06:05 GMT) Full text and rfc822 format available.

Reply sent to Dmitry Smirnov <onlyjob@debian.org>:
You have taken responsibility. (Wed, 17 Apr 2013 19:03:12 GMT) Full text and rfc822 format available.

Notification sent to Rogério Brito <rbrito@ime.usp.br>:
Bug acknowledged by developer. (Wed, 17 Apr 2013 19:03:12 GMT) Full text and rfc822 format available.

Message #21 received at 702854-close@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@debian.org>
To: 702854-close@bugs.debian.org
Subject: Bug#702854: fixed in nocache 0+git20121017-1
Date: Wed, 17 Apr 2013 19:00:03 +0000
Source: nocache
Source-Version: 0+git20121017-1

We believe that the bug you reported is fixed in the latest version of
nocache, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702854@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dmitry Smirnov <onlyjob@debian.org> (supplier of updated nocache package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 18 Mar 2013 00:32:17 +1100
Source: nocache
Binary: nocache
Architecture: source amd64
Version: 0+git20121017-1
Distribution: unstable
Urgency: low
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Changed-By: Dmitry Smirnov <onlyjob@debian.org>
Description: 
 nocache    - bypass/minimize file system caching for a program
Closes: 702854
Changes: 
 nocache (0+git20121017-1) unstable; urgency=low
 .
   * Initial release (Closes: #702854).
Checksums-Sha1: 
 af5ab84745b7ae9c5e0c582629a6f4fd1f9360de 1880 nocache_0+git20121017-1.dsc
 38558f25f53636f775b476a4eba320a6de8fc9c1 7248 nocache_0+git20121017.orig.tar.xz
 0797bfc99a6d634fad37986a5002b4ebca815762 4060 nocache_0+git20121017-1.debian.tar.xz
 bad1543e0d8a34efd0117c14ab864c0f6ff57646 13404 nocache_0+git20121017-1_amd64.deb
Checksums-Sha256: 
 998d8a4cb486bfa430762e066e70ed2fa4a730abb7b928b13165bcacfbc3808e 1880 nocache_0+git20121017-1.dsc
 8dd27ee82e3ecb89731f2ba5a771b249d7ce844d6b19ea65986e797570eb5cb6 7248 nocache_0+git20121017.orig.tar.xz
 591caacda1bd738b726c5bbfe21e8ba0c942205f646fd045ee09cbc25d9ff2cd 4060 nocache_0+git20121017-1.debian.tar.xz
 484ae88b64ec1829e252e1c7c59a007e3488be97a9542b33667741dc3773c76d 13404 nocache_0+git20121017-1_amd64.deb
Files: 
 38faf54105266ba1f090203bd8f9ee1c 1880 utils optional nocache_0+git20121017-1.dsc
 0a5ebd9770d0fd18dbde7e643c17063b 7248 utils optional nocache_0+git20121017.orig.tar.xz
 adc3ed03102b95beb3554b764fbc308c 4060 utils optional nocache_0+git20121017-1.debian.tar.xz
 fb08531c8847802e8df1fa172c92e8b1 13404 utils optional nocache_0+git20121017-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRVWAZAAoJEFK2u9lTlo0bxG8QALfUkoRurQe3Ymp/Gia8LKJl
uY6xNuec478VdaWwrRclgz1+UT1HqGAOKehXosCGsHOm0StNVqA2lmwbp/xnoQfr
oRAEujMdvd2850GRw7tQNJ8z7xOeYGHfDcA7nPQswDnLhndK6DpWG+SYrF5F2aiO
c6m7YmPDcYxQnG6lBzMnEsDIXWfXb54Kx+haLfoaXSKU8wOUDKrB373jAqzKCuob
xZpOIwOQdlCdyx1TMCI1wNceAQr3mmKrPvwbnaqaGil+2tz2bm14i7YlqzjR7uTH
n+zdFx8citFZCSf6DiPXgJICN75MsMOCypiYdZgBbxERHjXxKjMiVRWuKgIUiXhG
J7PNV8uXHiXwEuCdzQapBE7ZtO2Z8IaelSlxooeFSwVc2O5Gz/6lgL9Djbn1FnWz
pxXd5TpvVciQTd8OALRnwyQWH4q52ZwHeN5g4sZdaOAFdVA6Zc5Rao8EQQpB3U3x
mZ7ziB1S4r0bOpj/gdOsRHVUvYGoyxF36CP1xoZTNQn5zhTu1JC7fKSomAWDoGdx
3O8qvEGuaoR3/aWU4i9tVwVnK6mprG77d7s2f/4HzXY/dtNybp/Rm5QxPNfQY8mI
tV3e0N2Kx5y5s73O4VisYv0uZEnmKhgTUYjpMwsHWc10WfyRDdczyf4m8lsIR8jO
4+VKlXW0w979t5FNL617
=l7TS
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 16 May 2013 07:29:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:38:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.